## com.baidubce.util
Class Validate

    java.lang.Object
      com.baidubce.util.Validate

    public class Validate

extends Object

Constructor Summary
`Validate()`

Method Summary
`static void` `checkIsTrue(boolean condition, String errorMessage)`
`static void` `checkNotNull(Object value, String errorMessage)`
`static void` `checkStringNotEmpty(String value, String errorMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validate

    public Validate()

Method Detail

### checkStringNotEmpty

    public static void checkStringNotEmpty(String value,
                                           String errorMessage)

### checkNotNull

    public static void checkNotNull(Object value,
                                    String errorMessage)

### checkIsTrue

    public static void checkIsTrue(boolean condition,
                                   String errorMessage)

Copyright © 2016. All rights reserved.